package fis;

import java.util.Vector;

public class Gabarit 
{
	private double supportWeight;
	private double kernelWeight;
	private int number;
	private JInput input;
	
	public Gabarit(JInput in, double kw, double sw, int n)
	{
		this.kernelWeight = kw;
		this.supportWeight = sw;
		this.number = n;
		this.input = in;
	}
	
	public Gabarit(double [] range, int n)
	{
		this.kernelWeight = 0.0;//(range[1] - range[0]) * 0.1;
		this.supportWeight = 0.0;//(range[1] - range[0]) * 0.2;
		this.number = n;
	}
	public Gabarit()
	{
		this.kernelWeight = 0.0;//(range[1] - range[0]) * 0.1;
		this.supportWeight = 0.0;//(range[1] - range[0]) * 0.2;
		this.number = 0;
	}
	//---------------------------------------------------------
	public double GetKernelWeight() {return this.kernelWeight;}
	//---------------------------------------------------------
	public double GetSupportWeight() {return this.supportWeight;}
	//---------------------------------------------------------
	public int GetNumImputGabarit() {return this.number;}
	//---------------------------------------------------------
	public void SetNumImputGabarit(int n) {this.number=n;}
	//---------------------------------------------------------
	public void PrintGabarit()
	{
		System.out.println("--------------\nPrintGabarit : ");
		System.out.println("-this.kernelWeight : "+this.kernelWeight);
		System.out.println("-this.supportWeight : "+this.supportWeight);
		System.out.println("-this.number : "+this.number);
		System.out.println("--------------\n");		
	}
	//---------------------------------------------------------
	public void SetKernelWeight(double kw) {this.kernelWeight=kw;}
	//---------------------------------------------------------
	public void SetSupportWeight(double sw) {this.supportWeight=sw;}
	//---------------------------------------------------------
	public boolean IsActive()
	{
		return !(this.kernelWeight == 0.0 && this.supportWeight == 0.0 );			
	}
	//------------------------------------------------------------------------------
	public void WriteTemplate(String file) throws Throwable { jnifis.WriteTemplate(file, this.kernelWeight, this.supportWeight); }
	//------------------------------------------------------------------------------
	public void ReadTemplate(String file) throws Throwable 
	{
		double [] res = jnifis.ReadTemplate(file);
		this.kernelWeight = res[0];
		this.supportWeight = res[1];
	}
	  
	
}
