//***********************************************************************
//
//                              JSemaphore.java
//
// Author(s) : Jean-luc LABLEE
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//
//**********************************************************************
package fis;

//------------------------------------------------------------------------------
public class JSemaphore
{
  private int Permits = 1;
//------------------------------------------------------------------------------
  public JSemaphore() { }
//------------------------------------------------------------------------------
  public JSemaphore( int initial_permits ) { this.Permits = initial_permits; }
//------------------------------------------------------------------------------
  public void Acquire() { this.Permits--; }
//------------------------------------------------------------------------------
  public void Release() { this.Permits++; }
//------------------------------------------------------------------------------
  public int Permits() { return this.Permits; }
}