package fis.data.sample.block;

import util.jgoodies.common.bean.ObservableBean2Decorator;

public class BlockSampleDecorator extends ObservableBean2Decorator<BlockSample> implements BlockSample {

	public BlockSampleDecorator(BlockSample blockSample) {
		super(blockSample);
	}

	@Override
	public int getNumber() {
		return getBean().getNumber();
	}

	@Override
	public boolean isConstantSize() {
		return getBean().isConstantSize();
	}

	@Override
	public void setConstantSize(boolean constantSize) {
		getBean().setConstantSize(constantSize);
	}

	@Override
	public void setNumber(int number) {
		getBean().setNumber(number);
	}
}
