package fis.data.sample.seed;

import java.util.Map;

import util.jgoodies.binding.beans.ModelCloner;

import com.jgoodies.binding.beans.Model;
import com.rits.cloning.Cloner;
import com.rits.cloning.IFastCloner;

@SuppressWarnings("serial")
public class SeedModel extends Model implements Seed {

	private int seed = DEFAULT_SEED;

	@Override
	public int getSeed() {
		return seed;
	}

	@Override
	public void setSeed(int seed) {
		firePropertyChange(PROPERTY_SEED, this.seed, this.seed = seed);
	}

	public static class FastCloner implements IFastCloner {

		@Override
		public Object clone(Object t, Cloner cloner, Map<Object, Object> clones) throws IllegalAccessException {
			return new ModelCloner().deepClone(t);
		}
	}
}
