package fis.input.distance;

import fis.input.distance.euclidean.DefaultEuclideanDistance;
import fis.input.distance.fuzzy.DefaultFuzzyDistance;

public interface Distances {

	static final Distance FUZZY_DISTANCE = new DefaultFuzzyDistance();
	static final Distance EUCLIDEAN_DISTANCE = new DefaultEuclideanDistance();
	static final Distance[] AVAILABLE_DISTANCES = { FUZZY_DISTANCE, EUCLIDEAN_DISTANCE };
}
