package fis.optimization.crossvalidation;

import util.bean.BeanCloneable;

import com.jgoodies.common.bean.ObservableBean2;

import fis.data.sample.classif.ClassifSample;
import fis.data.sample.pair.PairSample;

public interface CrossValidation extends ObservableBean2, BeanCloneable<CrossValidation> {

	static final String PROPERTY_PAIR_SAMPLE_CHANGED = "pairSampleChanged";
	static final String PROPERTY_CLASSIF_CHANGED = "classifChanged";

	static final String PROPERTY_ENABLED = "enabled";

	static final boolean DEFAULT_ENABLED = true;

	static final String LABEL_CROSS_VALIDATION = "CrossValidation";

	void setEnabled(boolean enabled);

	boolean isEnabled();

	PairSample getPairSample();

	ClassifSample getClassifSample();
}
