package fis.swing.data.distance.input;

import static fis.input.distance.fuzzy.IsFuzzyDistanceConverter.isFuzzyDistance;
import static net.sf.jga.fn.logical.LogicalFunctors.logicalAnd;
import util.jgoodies.binding.value.BinaryConverter;

import com.jgoodies.binding.value.ValueModel;

@SuppressWarnings("serial")
public class IsPreviewableConverter extends BinaryConverter<Boolean, Boolean, Boolean> {

	public IsPreviewableConverter(ValueModel distanceModel, ValueModel normalizeModel) {
		super(logicalAnd(), isFuzzyDistance(distanceModel), normalizeModel, Boolean.class, Boolean.class);
	}

	public static IsPreviewableConverter isPreviewable(ValueModel distanceModel, ValueModel normalizeModel) {
		return new IsPreviewableConverter(distanceModel, normalizeModel);
	}
}
