package fis.swing.data.distance.input.preview.jfree;

import static fis.util.JInputUtil.getInputName;
import static fis.util.JInputUtil.getInputRange;

import org.jfree.chart.axis.NumberAxis;

import fis.JInput;

@SuppressWarnings("serial")
public class PreviewAxis extends NumberAxis {

	public PreviewAxis(JInput input) {
		super(getInputName(input));
		setLowerMargin(0);
		setUpperMargin(0);
		unNormalizeAxis(getInputRange(input));
	}

	private void unNormalizeAxis(double[] range) {
		setRange(range[0], range[1]);
	}
}
