package fis.swing.data.distance.input.preview.jfree;

import static org.jfree.chart.axis.AxisLocation.BOTTOM_OR_LEFT;
import static org.jfree.ui.RectangleEdge.LEFT;

import org.jfree.chart.renderer.PaintScale;
import org.jfree.chart.title.PaintScaleLegend;
import org.jfree.ui.RectangleInsets;

import fis.data.distance.input.preview.Preview;

@SuppressWarnings("serial")
public class PreviewLegend extends PaintScaleLegend {

	public PreviewLegend(Preview preview, PaintScale scale) {
		super(scale, new DistanceAxis(scale.getLowerBound(), scale.getUpperBound()));
		setAxisLocation(BOTTOM_OR_LEFT);
		setMargin(new RectangleInsets(5, 0, 40, 0));
		setStripWidth(10);
		setPosition(LEFT);
		setBackgroundPaint(null);
	}
}
