package util.algorithm.distance.minkowski;

import com.jgoodies.common.bean.ObservableBean2;

public interface Minkowski extends ObservableBean2 {

	final static String PROPERTY_POWER = "power";

	final static String KEY_POWER = PROPERTY_POWER;

	final static String LABEL_POWER = "Power";

	final static double MIN_POWER = 1;
	final static double DEFAULT_POWER = 2;
	final static double MAX_POWER = 20;

	double getPower();

	// assert power >= 1
	void setPower(double power);
}
