package util.jgoodies.binding.beans;

import java.beans.PropertyChangeSupport;
import java.beans.VetoableChangeSupport;

import com.jgoodies.binding.beans.ExtendedPropertyChangeSupport;
import com.rits.cloning.Cloner;

public class ModelCloner extends Cloner {

	private static Cloner cloner;
	
	public ModelCloner() {
		nullInsteadOfClone(ExtendedPropertyChangeSupport.class, PropertyChangeSupport.class, VetoableChangeSupport.class);
	}
	
	public static Cloner modelClonerInstance() {
		return cloner != null ? cloner : (cloner = new ModelCloner());
	}
}
