package util.jgoodies.binding.value;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import com.jgoodies.binding.value.Trigger;

@SuppressWarnings("serial")
public class CommitableAction extends TriggerableAction {

	public CommitableAction(Trigger trigger, Action action) {
		super(trigger, action);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		getTrigger().triggerCommit();
		super.actionPerformed(e);
	}
}
