package util.jgoodies.validation;

import com.jgoodies.validation.ValidationMessage;
import com.jgoodies.validation.ValidationResult;

public class ValidationUtils {

	public static ValidationResult validationResult(ValidationMessage validationMessage) {
		ValidationResult validationResult = new ValidationResult();
		validationResult.add(validationMessage);
		return validationResult;
	}

	public static ValidationResult validationResult(ValidationResult... validationResults) {
		ValidationResult validationResult = new ValidationResult();
		for (ValidationResult result : validationResults)
			validationResult.addAllFrom(result);
		return validationResult;
	}
}
