package com.humaorie.dollar;
/*
 * Dollar, http://bitbucket.org/dfa/dollar
 * (c) 2010 Davide Angelocola <davide.angelocola@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import com.humaorie.dollar.Dollar.Wrapper;
import java.util.Set;
import java.util.TreeSet;

// wraps a Set in a TreeSet in order to keep ordering
// TODO: we can implement reverse()? 
class SortedSetWrapper<T> extends SetWrapper<T> {

    public SortedSetWrapper(Set<T> set) {
        super(new TreeSet<T>(set));
    }

    @Override
    public Wrapper<T> sort() {
        return this;
    }



}
