//***********************************************************************
//
//                              JDataFile.java
//
// Author(s) : Jean-luc LABLEE
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//
//**********************************************************************
package fis;

import java.util.*;


//------------------------------------------------------------------------------
interface JFileListener
{
public void Closed();
public void ReLoaded();
}


//------------------------------------------------------------------------------
public class JDataFile extends JFile
{
  private String [] variableName = null;
//------------------------------------------------------------------------------
  public JDataFile( String file_name ) throws Throwable { 
      super(file_name); 
      this.variableName = jnifis.DataName();
      }
//------------------------------------------------------------------------------
  protected double [][] LoadData() throws Throwable {
      double [][] data =  jnifis.DataFile(this.FileName()); 
      this.variableName = jnifis.DataName();
      return data;
      }
//------------------------------------------------------------------------------
  public String [] getVariableName() {
      return this.variableName;
  }
//------------------------------------------------------------------------------
  public boolean isHeader() {
      return this.variableName != null;
  }
}

