//***********************************************************************
//
//                              MessageFIS.java
//
// Author(s) : Jean-luc LABLEE
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//
//**********************************************************************
package fis;

import javax.swing.*;
import java.awt.*;
import java.io.*;

//------------------------------------------------------------------------------
public class MessageFIS
{
  //private static PrintStream Log = null;
  //public static boolean debug = false;
//------------------------------------------------------------------------------
  /*static
  {
  try { Log = new PrintStream(new FileOutputStream("exception")); }
  catch( Throwable t ) { Log = null; MessageFIS.Error(null, t); }
  }*/
//------------------------------------------------------------------------------
  public static void Error( Component parent, String title, String message )
  {
  JOptionPane.showConfirmDialog( parent, message, title, JOptionPane.DEFAULT_OPTION, JOptionPane.ERROR_MESSAGE );
  }
//------------------------------------------------------------------------------
  public static void Error( String s, Throwable t )
  {
  //if( debug ) t.printStackTrace();
  String message = new String();
  if( s != null )
    message += s;
  message += "\n" + t.getLocalizedMessage();
  JOptionPane.showConfirmDialog( null, message , LocaleFIS.GetStringNoException(t.getClass().getName()), JOptionPane.DEFAULT_OPTION, JOptionPane.ERROR_MESSAGE );

  // ecriture de l'erreur dans le fichier exception
  //if( Log != null )
  //t.printStackTrace(Log);
  }
//------------------------------------------------------------------------------
  public static int Confirm( Component parentComponent, String message )
  {
  return JOptionPane.showConfirmDialog( parentComponent, message, LocaleFIS.GetString("Confirmation"), JOptionPane.YES_NO_OPTION , JOptionPane.QUESTION_MESSAGE );
  }
//------------------------------------------------------------------------------
  public static int Information( Component parentComponent, String message )
  {
  return JOptionPane.showConfirmDialog( parentComponent, message, LocaleFIS.GetString("Information"), JOptionPane.DEFAULT_OPTION , JOptionPane.INFORMATION_MESSAGE );
  }
}