//***********************************************************************
//
//                              SurfacePlotParameters.java
//
// Author(s) : Mathieu GRELIER
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//
//**********************************************************************
package fis;

public class SurfacePlotParameters     //all the parameters to be sent to the jni
                                       //used with both 3D and 2D surface plots (incomplete with 2D, the missing parameters take the -1)
{
    public double Xmin=0, Xmax=0, Ymin=0, Ymax=0 ;
    public int Xresolution=0, Yresolution=0 ;
    public int selected_X_input_number=0, selected_Y_input_number=0 ;
    public int[] fixedinputs_numbers ;
    public double[] fixedinputs_values ;
    public int output_number=0 ;



}