package fis.data.distance.input;

import static fis.input.distance.Distances.FUZZY_DISTANCE;
import fis.input.distance.Distance;

public interface Input {

	static final String PROPERTY_NAME = "name";
	static final String PROPERTY_DISTANCE = "distance";

	static final Distance DEFAULT_DISTANCE = FUZZY_DISTANCE;

	String getName();

	Distance getDistance();

	void setDistance(Distance distance);

	boolean isActive();
}
