package fis.data.sample.classif;

import java.beans.PropertyChangeEvent;

import util.jgoodies.common.bean.BeanChangeListener;
import util.jgoodies.common.bean.ObservableBean2ChangeSupport;

public abstract class ClassifSampleChangeSupportDecorator extends ClassifSampleDecorator implements BeanChangeListener {

	private final ObservableBean2ChangeSupport changeSupport;

	public ClassifSampleChangeSupportDecorator(ClassifSample classifSample) {
		super(classifSample);
		changeSupport = new ObservableBean2ChangeSupport(classifSample) {

			@Override
			public void beanChange(PropertyChangeEvent evt) {
				ClassifSampleChangeSupportDecorator.this.beanChange(evt);
			}
		};
	}

	public void release() {
		changeSupport.release();
	}
}
