package fis.data.sample.classif;

import util.jgoodies.common.bean.ObservableBean2Decorator;

public class ClassifSampleDecorator extends ObservableBean2Decorator<ClassifSample> implements ClassifSample {

	public ClassifSampleDecorator(ClassifSample classifSample) {
		super(classifSample);
	}

	@Override
	public void setClassif(boolean classif) {
		getBean().setClassif(classif);
	}

	@Override
	public boolean isClassif() {
		return getBean().isClassif();
	}

	@Override
	public void setClassifVariable(int classifVariable) {
		getBean().setClassifVariable(classifVariable);
	}

	@Override
	public int getClassifVariable() {
		return getBean().getClassifVariable();
	}

	@Override
	public void setPrecision(double precision) {
		getBean().setPrecision(precision);
	}

	@Override
	public double getPrecision() {
		return getBean().getPrecision();
	}
}
