package fis.data.sample.generator;

import static fis.jnifis.GenerateSample;

import java.awt.event.ActionEvent;

import util.swing.action.throwable.ThrowableActionListener;
import fis.data.sample.generator.jni.JNISampleGenerator;

public class SampleGeneratorPerformableAction implements ThrowableActionListener {

	private final JNISampleGenerator jniSampleGenerator;

	public SampleGeneratorPerformableAction(JNISampleGenerator jniSampleGenerator) {
		this.jniSampleGenerator = jniSampleGenerator;
	}

	@Override
	public void actionPerformed(ActionEvent e) throws Throwable {
		GenerateSample(jniSampleGenerator.getDataFileName(), jniSampleGenerator.getSampleNumber(), jniSampleGenerator.getLearningDataRatio(), jniSampleGenerator.getSeed(), jniSampleGenerator.isClassif(), jniSampleGenerator.getColumnNumber(), jniSampleGenerator.getPrecision(), jniSampleGenerator.isReplace(), jniSampleGenerator.isTruncate());
	}
}
