package fis.data.sample.generator.block;

import util.bean.BeanCloneable;

import com.jgoodies.common.bean.ObservableBean2;

import fis.data.sample.block.BlockSample;
import fis.data.sample.classif.ClassifSample;
import fis.data.sample.seed.Seed;

public interface BlockSampleGenerator extends ObservableBean2, BeanCloneable<BlockSampleGenerator> {

	static final String PROPERTY_BLOCK_SAMPLE_CHANGED = "blockSampleChanged";
	static final String PROPERTY_CLASSIF_CHANGED = "classifChanged";
	static final String PROPERTY_SEED_CHANGED = "seedChanged";

	BlockSample getBlockSample();

	ClassifSample getClassifSample();

	Seed getSeed();
}
