package fis.data.sample.generator.block;

import com.jgoodies.validation.ValidationResult;
import com.jgoodies.validation.Validator;

import fis.data.sample.classif.ClassifSampleValidator;

public class BlockSampleGeneratorValidator implements Validator<BlockSampleGenerator> {

	private final ClassifSampleValidator classifSampleValidator = new ClassifSampleValidator();

	@Override
	public ValidationResult validate(BlockSampleGenerator blockSampleGenerator) {
		return validateClassifSample(blockSampleGenerator);
	}

	private ValidationResult validateClassifSample(BlockSampleGenerator blockSampleGenerator) {
		return classifSampleValidator.validate(blockSampleGenerator.getClassifSample());
	}
}
