package fis.data.sample.generator.pair;

import util.bean.BeanCloneable;

import com.jgoodies.common.bean.ObservableBean2;

import fis.data.sample.classif.ClassifSample;
import fis.data.sample.pair.PairSample;
import fis.data.sample.seed.Seed;

public interface PairSampleGenerator extends ObservableBean2, BeanCloneable<PairSampleGenerator> {

	static final String PROPERTY_PAIR_SAMPLE_CHANGED = "pairSampleChanged";
	static final String PROPERTY_CLASSIF_CHANGED = "classifChanged";
	static final String PROPERTY_SEED_CHANGED = "seedChanged";

	PairSample getPairSample();

	ClassifSample getClassifSample();

	Seed getSeed();

/*	boolean isReplace();

	boolean isTruncate();*/
}
