package fis.data.sample.pair;

import com.jgoodies.common.bean.ObservableBean2;

public interface PairSample extends ObservableBean2 {

	final static String PROPERTY_PAIR_NUMBER = "pairNumber";
	final static String PROPERTY_LEARNING_RATIO = "learningRatio";

	final static String KEY_LEARNING_RATIO = PROPERTY_LEARNING_RATIO;
	final static String LABEL_LEARNING_RATIO = "LearningDataRatio";

	final static int MIN_PAIR_NUMBER = 1;
	final static int DEFAULT_PAIR_NUMBER = 10;
	final static int MAX_PAIR_NUMBER = 99;
	final static double DEFAULT_LEARNING_RATIO = 0.75;

	double getLearningRatio();

	int getPairNumber();

	void setLearningRatio(double learningRatio);

	void setPairNumber(int pairNumber);
}
