package fis.data.sample.pair;

import util.jgoodies.common.bean.ObservableBean2Decorator;

public class PairSampleDecorator extends ObservableBean2Decorator<PairSample> implements PairSample {

	public PairSampleDecorator(PairSample pairSample) {
		super(pairSample);
	}

	@Override
	public double getLearningRatio() {
		return getBean().getLearningRatio();
	}

	@Override
	public int getPairNumber() {
		return getBean().getPairNumber();
	}

	@Override
	public void setLearningRatio(double learningRatio) {
		getBean().setLearningRatio(learningRatio);
	}

	@Override
	public void setPairNumber(int pairNumber) {
		getBean().setPairNumber(pairNumber);
	}
}
