package fis.data.sample.seed;

import util.jgoodies.common.bean.ObservableBean2Decorator;

public class SeedDecorator extends ObservableBean2Decorator<Seed> implements Seed {

	public SeedDecorator(Seed seed) {
		super(seed);
	}

	@Override
	public int getSeed() {
		return getBean().getSeed();
	}

	@Override
	public void setSeed(int seed) {
		getBean().setSeed(seed);
	}
}
