package fis.swing.data.distance;

import java.awt.Component;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JPanel;

import fis.swing.data.distance.input.InputAdapter;
import fis.swing.data.distance.input.JPanelInput;

@SuppressWarnings("serial")
public class JPanelInputs extends JPanel {

	public JPanelInputs() {
		setLayout(new GridBagLayout());
	}

	public void bind(Iterable<InputAdapter> inputAdapters) {
		for (InputAdapter inputAdapter : inputAdapters)
			if (inputAdapter.getBean().isActive()) {
				JPanelInput panelInput = new JPanelInput() {

					@Override
					public void add(Component comp, Object constraints) {
						JPanelInputs.this.add(comp, getConstraints((GridBagConstraints) constraints));
					}

					private GridBagConstraints getConstraints(GridBagConstraints constraints) {
						constraints.insets.bottom = 5;
						return constraints;
					}
				};
				panelInput.bind(inputAdapter);
			}
	}
}
