package fis.swing.data.distance.input;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;

import fis.input.distance.Distance;

@SuppressWarnings("serial")
public class DistanceListCellRenderer extends DefaultListCellRenderer {

	@Override
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
		return super.getListCellRendererComponent(list, getName(value), index, isSelected, cellHasFocus);
	}

	private static String getName(Object value) {
		return value != null ? getDistanceName((Distance) value) : null;
	}

	private static String getDistanceName(Distance distance) {
		return distance.getName();
	}
}
