package fis.swing.data.sample.classif;

import static fis.util.JFISUtil.isOutput;

import com.google.common.base.Predicate;

import fis.JFIS;

public class VariablePredicate implements Predicate<Integer> {

	private static final int NO_SELECTION_INDEX = -1;

	private final JFIS fis;

	public VariablePredicate(JFIS fis) {
		this.fis = fis;
	}

	@Override
	public boolean apply(Integer input) {
		return fis != null ? isOutput(fis, input) || (input == NO_SELECTION_INDEX) : true;
	}
}
