package fis.util;

import static org.apache.commons.lang.StringUtils.EMPTY;
import fis.JInput;

public class JInputUtil {

	public static String getInputName(JInput input) {
		try {
			return input.GetName();
		} catch (Throwable e) {
			return EMPTY;
		}
	}

	public static double[] getInputRange(JInput input) {
		try {
			return input.GetRange();
		} catch (Throwable e) {
			return null;
		}
	}
}
