package util.algorithm.distance.minkowski;

import util.jgoodies.common.bean.ObservableBean2Decorator;

public class MinkowskiDecorator extends ObservableBean2Decorator<Minkowski> implements Minkowski {

	public MinkowskiDecorator(Minkowski minkowski) {
		super(minkowski);
	}

	@Override
	public double getPower() {
		return getBean().getPower();
	}

	@Override
	public void setPower(double power) {
		getBean().setPower(power);
	}

}
