package util.swing;

import static util.swing.dialog.JOptionPaneOption.createOptions;

public class DefaultOptionSupport implements OptionSupport {

	private final ActionSupport actionSupport;
	private Object[] options;

	public DefaultOptionSupport(ActionSupport actionSupport) {
		this.actionSupport = actionSupport;
	}

	@Override
	public Object[] getOptions() {
		return options != null ? options : (options = createOptions(actionSupport.getActions()));
	}

	@Override
	public Object getInitialOption() {
		return getOptions()[0];
	}
}
