package util.swing.dialog;

import static util.LocaleUtil.GetString;
import static java.lang.String.format;
import static javax.swing.JOptionPane.QUESTION_MESSAGE;
import static javax.swing.JOptionPane.YES_NO_OPTION;
import static javax.swing.JOptionPane.YES_OPTION;
import static javax.swing.JOptionPane.showOptionDialog;
import static javax.swing.UIManager.getString;

import java.awt.Component;
import java.io.File;

public class JOptionPaneFileExist {

	private static Object[] options = { getString("OptionPane.yesButtonText"), getString("OptionPane.noButtonText") }; 

	public static int show(Component parent, File file) {
		return showOptionDialog(parent, format(GetString("%sAlreadyExist.text"), file) + ".\n" + GetString("DoYouWantToReplaceIt.text") + " ?", null, YES_NO_OPTION, QUESTION_MESSAGE, null, options, options[1]);
	}

	public static boolean replaceFile(Component parent, File file) {
		return show(parent, file) == YES_OPTION;
	}
}
